View Issue Details

IDProjectCategoryView StatusLast Update
0002514SymmetricDSImprovementpublic2016-08-12 17:24
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.29 
Target Version3.7.30Fixed in Version3.7.30 
Summary0002514: Reduce Noisy Logging
DescriptionTarget node logging when there is a batch continuously failing can easily roll log files and otherwise obscure what's going on. Implement a mechanism to log the complete stack trace, etc. one time, and switch to DEBUG logging after that. See LogSuppressor.

MMM 8/212/2016: Refactored this in favor of org.jumpmind.util.SymRollingFileAppender. This was present in SymmetricDS 3.7.30 through 3.7.37.
TagsNo tags attached.

Activities

mmichalek

2016-08-12 17:21

administrator   ~0000836

Last edited: 2016-08-12 17:22

View 2 revisions

Refactored this in favor of org.jumpmind.util.SymRollingFileAppender.

Related Changesets

SymmetricDS: 3.7 1fcfa823

2016-03-01 19:28:04

mmichalek

Details Diff
0002514: Reduce Noisy Logging
0002514
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File
add - symmetric-util/src/main/java/org/jumpmind/util/LogSuppressor.java Diff File

Issue History

Date Modified Username Field Change
2016-03-01 19:27 mmichalek New Issue
2016-03-01 19:27 mmichalek Status new => assigned
2016-03-01 19:27 mmichalek Assigned To => mmichalek
2016-03-01 20:00 mmichalek Changeset attached => SymmetricDS 3.7 1fcfa823
2016-03-03 13:01 mmichalek Status assigned => closed
2016-03-03 13:01 mmichalek Resolution open => fixed
2016-03-03 13:12 mmichalek Status closed => feedback
2016-03-03 13:12 mmichalek Resolution fixed => reopened
2016-03-03 13:12 mmichalek Fixed in Version => 3.7.30
2016-03-03 13:12 mmichalek Status feedback => closed
2016-03-03 13:12 mmichalek Resolution reopened => fixed
2016-08-12 17:21 mmichalek Note Added: 0000836
2016-08-12 17:21 mmichalek Status closed => feedback
2016-08-12 17:21 mmichalek Resolution fixed => reopened
2016-08-12 17:22 mmichalek Note Edited: 0000836 View Revisions
2016-08-12 17:24 mmichalek Status feedback => closed
2016-08-12 17:24 mmichalek Resolution reopened => fixed
2016-08-12 17:24 mmichalek Description Updated View Revisions